// 单独写上传的处理函数

/**
 * 
 * @param {Boolean} submitFlag 上传的类别，是仅保存还是
 * @param {*} $el 
 */
const submit = (submitFlag, $el) => {
    // this.loading = true;
    this.$refs.form.validate(async (valid) => {
        if (valid) {

            params.literature = getLtStrByArr(this.literatureIdArr); //文献
            params.status = getStatusNumByBool(this.dialogForm.status);
            params.crIds = that.crIds.join(",");
            params.bvIds = that.vrIds.join(",");
            params.displayCharacter = 1; //传布展
            params.submitFlag = submitFlag;
            return;
            addOrUpdateDisplayTemp(params)
                .then((res) => {
                    if (res.code == 0) {
                        setTimeout(() => {
                            that.$emit("refresh");
                            that.reload();
                            that.submitLoading = false;
                            that.$message.success("提交成功！");
                            that.visible = false;
                        }, 1000);
                    }
                })
                .catch((err) => {
                    that.submitLoading = false;
                });
        }
    });
}
export default submit